.news {
  display: flex;
  flex-direction: column;
  max-width: 1520px;
  --news-section-padding: var(--space-60);
}

.news .main {
  position: relative;
  width: 100%;
}

.news .main img {
  width: 100%;
  min-height: 300px;
  aspect-ratio: 1520/700;
}

.news .main .big-news-content {
  max-width: 522px;
  height: 100%;

  display: flex;
  flex-direction: column;
  justify-content: center;

  gap: var(--space-24);

  top: 0;
  position: absolute;
  left: var(--space-40);
  text-transform: uppercase;
}

.news-card {
  max-width: 493px;
  width: 100%;
  height: 100%;

  display: flex;
  flex-direction: column;
  position: relative;
}

.news-image-container {
  overflow: hidden;
}
.news-card img {
  width: 100%;
  aspect-ratio: 493/350;
  object-fit: cover;
  transition: all 0.3s ease-in-out;
}

.news-card:hover img {
  transform: scale(1.1);
}

.news-card .news-card-content {
  padding: var(--space-30);
  background: var(--background-gradient-black);
  flex-grow: 1;

  border-image-source: var(--card-dark-content-border-gradient);
}

.news-card:hover .news-card-content {
  border: 1px solid var(--accent-red);
  border-top-width: 0;
}

.news-card .headline {
  margin-top: var(--space-16);
}

.news-row {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: auto;
  align-content: stretch;
  column-gap: var(--space-20);
  z-index: var(--z-index-20);

  row-gap: var(--news-section-padding);
  padding: var(--news-section-padding) 0;
}

@media (max-width: 1440px) {
  .news {
    --news-section-padding: var(--space-40);
  }
}

@media (max-width: 1240px) {
  .news-row {
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(3, auto);
    column-gap: var(--space-16);
  }
}

@media (max-width: 1023px) {
  .news-row {
    --news-section-padding: var(--space-24);
  }
  .news .main .big-news-content {
    max-width: 40%;
    left: var(--space-24);
  }
}

@media (max-width: 680px) {
  .news .main .big-news-content {
    left: var(--space-16);
    gap: var(--space-16);
    max-width: 70%;
  }

  .news-row {
    grid-template-columns: 1fr;
    grid-template-rows: auto;
  }

  .news-card {
    max-width: 100%;
  }
  .news-card img {
    height: auto;
    min-height: 250px;
  }


}

@media (max-width: 520px) {
  .news .main img {
    min-height: 250px;
  }
}
